
QGIS Application - Bug report #15545

Vertical or horizontal Polyline in Composer doesn't show up (if not selected) and cannot be edited 

(but exported)

2016-09-08 02:37 AM - Rudi Uhl

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23468

Description

I can add polylines to a map composition, but when it's strictly vertical or horizontal it is only displayed while selected (without correct

width / color). I cannot edit node items on those lines. It doesn't matter if it consists only of two or more nodes, as long as it's strictly

horizontal or vertical (two nodes in a diagonal are no problem). It shows up on PDF exports. I doubt it's a matter of the graphics card

because it won't show the nodes when I try to edit it. The behavior starts immediately in the moment I delete the last node of a polyline

that used to be not strictly vertical or horizontal but becomes so by deleting the other nodes.

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2017-12-18 11:42 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in layouts engine
